Skip to main content
POST
/
tx
/
createTransferRequest
Create Transfer Request
curl --request POST \
  --url https://api.stablepay.ai/tx/createTransferRequest \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "recipient": "<string>",
  "amount": 1.01,
  "issuer": "Valr",
  "acquirerMerchantName": "<string>",
  "reference": "<string>",
  "merchantID": "<string>",
  "description": "<string>",
  "terminalType": "APP",
  "successUrl": "<string>",
  "failedUrl": "<string>",
  "webhookUrl": "<string>",
  "currency": "USDC",
  "customReference": "<string>",
  "merchantCategoryCode": "<string>",
  "goodsType": "01"
}
'
{
  "link": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication using Bearer scheme. Format: Bearer {STA_xxxx}

Body

application/json

Create a new Transfer on Stablepay.

recipient
string
required

The recipient Stablepay wallet address.

Minimum string length: 1
amount
number
required

The total transaction amount in ZAR.

Required range: x >= 0.01Must be a multiple of 0.01
issuer
enum<string>
required

Available options: Binance, Bybit, Valr

Available options:
Valr,
Binance,
Bybit
acquirerMerchantName
string
required

Available options: Paystack.

Minimum string length: 1
reference
string
required

A unique transaction reference.

Minimum string length: 11
merchantID
string
required

SubMerchantID for Binance. MerchantID for Bybit. PayID for Valr.

Minimum string length: 1
description
string
required

Description of goods. Maximum length: 100.

Maximum string length: 100
terminalType
enum<string>
required

Available options: APP, WEB

Available options:
APP,
WEB
successUrl
string<uri>
required

URL to return after successful payment (max 256 characters)

Maximum string length: 256
failedUrl
string<uri>
required

URL to return after failed payment (max 256 characters)

Maximum string length: 256
webhookUrl
string<uri>
required

API URL to call when order is successful or failed (max 256 characters)

Maximum string length: 256
currency
enum<string>

Available options: USDC, USDT. Default = USDC

Available options:
USDC,
USDT,
ZAR
customReference
string

Optional merchant acquirer custom reference e.g RF-25364.

Maximum string length: 100
merchantCategoryCode
string

Merchant category code.

Maximum string length: 10
goodsType
enum<string>

Available options: 01 (Tangible Goods), 02 (Virtual Goods).

Available options:
01,
02

Response

Transfer request created successfully

Issuer Deeplink to facilitate the transaction.